Overview

Introduction

MIDIgrid is a powerful music program that provides new ways to explore, perform and therefore compose music.

How it works
MIDIgrid displays an array of cells, each of which can contain a single note, a chord or a musical sequence or percussion pattern.

The cells in the grid can be played using a mouse, trackball etc., or triggered from a MIDI instrument. Chords and notes can be played once or sustained, sequences can be played once, repeated and looped.

The grid size and display can be changed to suit the style of the music and the needs of the composer and performer.

The MIDIgrid software comes with a large number of grid files, which cover many different musical styles and structures.

Ways of using MIDIgrid
MIDIgrid can be used as a musical instrument, which can be designed and configured to suit almost any musical style and structure. The supplied grids provide many examples.

As well as supporting live performance and exploration MIDIgrid allows you to compose music by creating your own contents for the cells and by using MIDIgrid's Record mode

The example grids illustrate the many ways that the layout and contents of the cells and can be defined. They can be used to support musical education as well as live performance.

Using the "Help" resources
The "Getting Started" section of this Help file is a tutorial, which gives details about how to get started with the program as well as details of the main controls and functions in the program.

The "Reference" section provides technical information for each operation in the program.

You will also find Additional Resources in PDF format.

Widening Access illustrates some of the ways in which you can use this versatile software resource to improve access to music for disadvantaged groups and individuals, supporting a wide range of inclusive music-making activities.


Getting Started...


Installation

The MIDIgrid program is supplied on a CD.

  • Insert the CD into your CD drive.
  • Choose Run from the Windows "Start" menu.
  • Type in "Q:SETUP.EXE" (where Q: is your CD drive) and press ENTER.
    •

    The installation program will guide you through the installation process.


Loading a Grid

Run MIDIgrid from the "Programs" option on the Windows "Start" menu.

You can start MIDIgrid with a blank set of cells for you to make your own patterns or by loading a pre-defined grid file.
As the first thing you are likely to do with MIDIgrid is to use an existing MIDIgrid file, the program displays a file dialogue window. A list of the available files will be displayed.

The files supplied with MIDIgrid are sorted into different categories to help you find the one you require. The files are stored in the "examples" subdirectory.

Choose the file "Start".
This file provides a good introduction to the program.
The manual will now explain how to use MIDIgrid using this file. After this initial tutorial there is a reference section which provides technical details and information about the many ways in which the program can be used.


Playing a MIDIgrid Cell

When you have loaded a file into MIDIgrid it is ready for you to perform the music in the cells.

You will see that some of the cells contain single marks, some multiple marks and some have a bar. These represent different types of music in the cells.
Click on the box in the top left hand corner with the left mouse button.
You will hear a single note being played. This is indicated by the single mark in the top left-hand corner of the cell.

If you cannot hear a note playing then check that you have your MIDI system correctly configured from Windows, that all the connections are correct and the speakers turned on, and that you have set up the MIDI input and output devices correctly (see section 12).


Playing the other MIDIgrid Cells
 Continuing to e xplore the "Start" grid

  • Click on the first box in the second row with the left mouse button (you may need to hold the mouse button down a little while to hear the sound).

    •

    You will hear a 3-note chord being played. This is represented by the three marks in the box.

  • Click on the first box in the bottom row with the left mouse button.

    •

    You will hear a rhythm pattern or 'sequence' being played. This is represented by the solid bar in the cell.

    This sequence is set to play continuously so it will continue playing until you press the Esc key or choose "Stop Everything" from the "Perform" menu.


Sustaining a note or chord

By holding the left mouse button on a cell you can sustain the playing of a note or chord contained in the cell.

  • With the mouse button over the first chord on the second row, click and hold the left mouse button.

    •

    A box is shown in the middle of the cell to indicate that it is being played. It will stop as soon as you release the mouse button.


Another way of playing the cells

So far we have used the left mouse button to play a cell. Using the right mouse button, notes or chords can be played in quick succession.

  • Place the mouse pointer over the first cell in the first row.

  • Press and hold the right mouse button and move the mouse pointer along the top row.

    •

    The notes in the cells are played whilst the mouse pointer is over that particular cell and they stop when you move onto another cell.

    You can also release the right mouse button, move to another cell and press the right mouse button again in the same way as with the left mouse button.


Using both mouse buttons

Because the left mouse button plays a note or chord whilst it is being held down, we can hold a note or chord and then play other cells using the right mouse button.

This can result in some useful effects:

  • Hold down the left button over one of the chords.

  • Still holding down the left mouse button, move the pointer over the top row and click and hold the right mouse button.

    •

    The chord is still being played whilst the notes in the top row are being played at the same time.


Sequences, Notes and Chords

Using the left and right mouse buttons in the ways described above, MIDIgrid allows you to play a sequence, sustain a note or chord and play additional notes and chords at the same time.

In the case of any of the sequences in the "Start" grid the sequences are looped continuously so that you only have to click once to start them and then concentrate on playing the notes and chords. Whether a sequence cell is played once only or looped is determined by settings that you can change (see section 6.1).

Using the looped drum sequences in "Start" try setting off a sequence and playing the other notes and chords at the same time.

N.B. Looped sequences can be stopped by pressing the Esc key or by choosing "Stop everything" from the "Perform" menu.


Repeating a Sequence

Repeating sequences

When a sequence is playing, a single white mark is displayed in the bar at the top of the cell. Once the sequence has finished the white mark disappears.

In MIDIgrid, you can ask a sequence to play more than once, before it has finished. This can create interesting echoes and musical 'round' or 'cannon' effects.

  • Click on a sequence with the left mouse button.

    •

    Wait for the sequence to play a couple of notes.

  • Click on the same sequence with the left mouse button.

    •

    A second white mark appears in the sequence bar and the sequence starts to play again, with the original still playing.


Scheduling sequences

MIDIgrid allows you to set up one or more sequences ready for playback which, when you start them, will all start playing at the same time.

  • Click the right mouse button on a sequence.

    •

    The sequence is not played but is being held in a queue waiting for you to start it.

  • Click the right mouse button on another sequence.

    •

    Once again, it is not played but is in the queue with the other sequence.

  • Now click the left mouse button on a third sequence.

    •

    All three sequences start together.

    You can also trigger the playback of scheduled sequences by playing a different cell, which contains a note or chord, or by clicking with the left mouse button in a blank cell.

    This is particularly effective with the "Chess" grid file.


Preparing to Record a Sequence

Preparing to Record a new Sequence

So far we have been using MIDIgrid as a tool for live musical exploration and performance. We can also use MIDIgrid to create a recording from the notes, chords and sequences that we have been playing.
When you make a MIDIgrid recording you will be asked to choose a cell to store the recording in. So it is important to make sure that there is at least one empty cell available before you start to record. In the "Start" grid file there is a row of empty cells at the bottom of the grid ready to store new notes, chords and sequences. If you need some more then you can always increase the number of rows or columns in the grid (see section 11).
To start the recording process:
Choose "Record" from the "Perform" menu.

MIDIgrid will display a record control window.

You may want to move the record control window to the side or top of the screen so that you can see all the cells in the grid.


Recording a Sequence

When you are ready to record:

  • Choose "Start" from the Record control window.
    •

    Nothing is recorded until you start playing the cells.
  • Play the cells using the left and right mouse buttons as usual.
  • When you have finished choose "Stop" from the record control window.
    •

    You now need to assign the recording to an empty cell.
  • Choose "Assign" from the record control window.
  • Click on an empty cell.
    •

    The cell will then have a black bar displayed in it to indicate that it has your recorded sequence stored in it.
  • Click on the cell with the left mouse button to hear your recording.
    •

    You can either make another recording by repeating the process or close the record control window by clicking on the X in the top right hand corner of the Record control window.

    If you are making a long recording you may need to increase the size of the record buffer, see section 5.5 for details.


Saving a file

If you have made some changes to the grid file that you are using, such as creating a recorded sequence, then you might want to save the file.

The files that are supplied with MIDIgrid are set to "read only". This prevents you from overwriting the files and losing the original contents.

You are recommended to create a new folder, which you can do from the MIDIgrid Save window.

  • Click on the 'create new folder' icon at the top of the 'save file' window.

    •

    A new folder is created which you can re-name by typing a new name when the folder name is highlighted.

    You can then save your changed and new grid files in the separate folder. Also, if a number of different people are using MIDIgrid then you can create a folder for each person where they can save their own work.

  • Choose "Save As" from the "File" menu.

  • Change to your folder if required.

  • Enter the new file name (you do not need to add the ".grd" part as this is added automatically).

  • Choose "Save" from the save window.

    •

    MIDIgrid warns you if you already have a file with that name in case you do not want to replace it. It also warns you if the file is read-only.


Playing Cells from a MIDI Keyboard

8. Playing Cells from a MIDI Keyboard

As well as using the mouse buttons to play MIDIgrid cells, the notes on a MIDI instrument can be used to trigger the cells.

To do this you will need to have a MIDI instrument, such as a MIDI keyboard, connected to the "IN" port of the MIDI interface in the computer.

The chords in the second line of the "Start" grid file have been allocated to middle C, D, E, F and G on the keyboard.

  • Play middle C on the MIDI keyboard.

    •

    You should hear the first chord in the line being played.

    The following notes will trigger the other chords in the second row.

    If the MIDI note is not triggering the MIDIgrid cell then you may need to check the MIDI connections. Also the cells are expecting the note that is triggering the cell to be transmitted on MIDI channel 1. You may need to check that your keyboard is transmitting on that channel.

    The idea behind MIDI triggering is to allow you to use notes on a MIDI keyboard to play the chords and sequences in MIDIgrid that would normally be played by the mouse. You can still use the other notes on the keyboard to play in the normal way. This provides a powerful extension of the 'auto-chord' idea used by some keyboards.

    To make sure that the MIDI system is working OK you may need to check the MIDI settings described in section 10.


Exiting MIDIgrid

To exit the program, choose "Exit" from the "File" menu.

The program will prompt you to save your work if you have made some changes that you have not already saved.

You cannot exit the program by clicking on the standard X icon in the top right hand corner of the MIDIgrid screen.
This option has been disabled because when you are using the mouse clicks to play MIDIgrid cells it can be easy to stray away from a cell to the Window icons around the edge and click on these by mistake.


QuickFind...


Using Shortcuts in Performance Mode

What's the quickest way to....?
Using keyboard shortcuts in Performance mode

1. Stop playback
A: Press the Esc key.

2. Enter Edit/Performance mode
A: Press the space-bar to toggle between modes

3. Open a grid
A: Press Ctrl + O

4. Save a grid
A: Press Ctrl + S

5. Start a new grid
A: Press Ctrl + N

6. Resize grid
A: Press Ctrl +G

7. Start recording
A: Press Ctrl + R

Using keyboard & mouse-click for instant action

8. Edit the contents of a cell (box)
A: Press Ctrl + Left Mouse Button


Using Shortcuts in Edit Mode

What's the quickest way to....?
Using shortcuts (in Edit mode)

1. Move a box to a new position
A: Drag it to the new position with the Left mouse button

2. Copy one cell to another
A: Hold down the Ctrl key whilst dragging the cell
with the Left mouse button

3. Delete a cell
A: Click on the cell with the Left mouse button to select it.
Press the Delete key

4. Cut a cell to the clipboard
A: Click on the cell with the Left mouse button
Hold down the Ctrl key and press X

5. Copy a cell to the clipboard
A: Click on the cell with the Left mouse button to select it
Hold down the Ctrl key and press C

6. Copy the contents of the clipboard to a cell
A: Click on the cell with the Left mouse button to select it.
Hold down the Ctrl key and press V

7. Reduce the size of a grid
A: Position cursor over the cell you wish to be bottom right,
Right click and select 'Set Grid Size'

8. View entire grid
A: Right click on any cell,
Click on 'View Entire Grid'


And How Do I...?
a quick reference for other "I'm in a hurry" tasks

1. Transpose notes
A: In Edit mode, hold down the Ctrl key
Left click on each box you wish to change
- the word "SEL" is displayed in any selected cells-
Right click anywhere on the grid and select the menu item,
"Multiple Transpose". In the window that opens up, move the "Pitch" slider
to the right to raise the pitch and to the left to lower it, up to
12 semitone (an octave) either way.
(to cancel selection, right click and choose "Clear Selection" from "Edit" menu)

2. Make notes louder or quieter
A: In Edit mode, hold down the Ctrl key
Left click on each box you wish to change
- the word "SEL" is displayed in any selected cells-
Right click anywhere on the grid and select the menu item,
"Multiple Transpose". In the window that opens up, move the "Velocity" slider
to the right or left.

3. Trigger a box from an external MIDI device
A: From the "Box Edit" menu, click on "Edit" and select "Triggering".
Check the "use external triggering for this box" option. Click on
the note you want to use as a trigger on the image of a keyboard.
If you want to change to another note, simply click on another one
and it will reset.

4. Change the speed of playback
on the dropdown "MIDI" menu, select "Tempo" and move the slider
to right or left, as desired.

5. Change one of the instrumental sounds used for a grid
A: On the drop-down "MIDI" menu, select "Program Map". Look for the
sound you wish to change and user the scroller for that instrument's
channel to make a new selection.

6. Add text to a box
A: In Performance mode, hold down the SHIFT key and left click on
the box to which you wish to add text. Enter the text you wish to use as a
label and click on "ok". (the "Box Edit" menu opens with "Edit Appearance"
by default. If you don't see the label text option, click on "Edit" and select "Appearance".


Reference...


Changing cells

1. Changing cells

Each cell can contain a note, a chord or a musical sequence. The cells can also vary in colour and can contain a short message or label. Finally, MIDI notes played on a musical keyboard can be assigned to a cell to act as a trigger (see section 8).
To change these items you need to open up a cell-editing window. The quickest way to do this is:

  • 1. Hold down the ñ key.
  • 2. Click on the left mouse button over a cell.

This opens up the cell-editing window for that cell.

The following sections describe how to edit the three main characteristics of the cell.

Some of the editing options are accessed by changing MIDIgrid into "Edit Mode" (see section 2).


Edit Mode and Performance Mode

2. Edit Mode and Performance Mode

MIDIgrid operates in two modes. When you are playing the cells from a mouse or MIDI keyboard you are in "Performance mode". You can access some of the edit facilities from this mode in the way described in section 1.

However, MIDIgrid has an Edit mode which makes it easier to access the editing options and also makes it possible to apply further editing to the cells such as copy, paste and global transpose.

To change to Edit mode:

  • Choose "Edit" from the "Mode" menu.
    or

  • Press p .

    • or

  • Press spacebar.

You can return to performance mode by choosing "Performance" from the "Mode" menu or by pressing p or spacebar again.

For further details of edit functions see section 9.


Changing the Contents of a cell

3.Changing the Contents of a cell

The content of a cell refers to whether the cell contains a note, a chord, or a sequence or the cell is empty.
Choose "Content" from the "Edit" menu in the cell editing window.

The content of the cell will be shown as "Empty", "Chord" or "Sequence".
There is no option given for a cell containing a "note". This is because the references made in this manual to a "cell containing a note" are describing, in fact, a chord with only one note.

You can change the contents of a cell from the "Content" menu in the cell editing box.
When you have made changes to a cell:

OK sets the change and closes the editing window.
Apply sets the change and leaves the editing window open for further operations.
Cancel reverts the cell to the previous contents rather like an "undo" command.
Close closes the window without setting the changes (as in Cancel above).

You can leave the cell editing window open and edit the contents of another cell by clicking on the new cell, if you are in edit mode, or by holding down the ñ key and clicking on the new cell if you are in performance mode. See section 2.


Editing Chords

4.Editing Chords

The notes that make up a MIDIgrid chord are shown on a piano type display in the chord-editing window.

Only three octaves are shown at a time so you may need to scroll left or right to see all the notes that make up this chord.

4.1 Adding a note to a chord

Notes are added into the chord by clicking on the note using the left mouse button. The position of the click sets the note that you want. The relative volume, or 'velocity', of the note is set by the velocity slider at the right of the Chord editing window and is reflected in the note by the depth of colour. The darker the note the louder it is.

4.2 Removing a note from a chord

A note can be removed from the chord by clicking on it again with the left mouse button.

4.3 Listening to the Chord

Clicking a note on the piano display with the right mouse button plays the chord, including the note clicked on, but without actually adding it to the chord. This allows you to experiment with various notes, before adding to the chord. Once you have clicked "Apply" or "OK" you can play the chord from the cell in the grid.


Editing Chords

4. Editing Chords, Part 2

4.4 MIDI Channels
MIDI uses up to 16 channels to create a range of sounds and effects. MIDIgrid chords can use these 16 channels to provide 16 different instruments.
The Chord editor only allows you to edit the notes for one channel at a time.
The channel that you are currently working on can be selected from the numbers in the channel bar in the chord editing window.

Because you may use more than one channel in the chord the green indicators on the bottom line show which channels are used within this chord.
In the chord note display, the notes that are in the current channel are shown in shades of red. The notes from other channels, which can only be edited if you change to that channel, are shown in shades of blue.

4.5 Changing Instruments
Each MIDI channel has an instrument associated with it. See section 14 for further details.
To change the instrument for the channel you have selected click the left mouse button on the menu icon on the "Patch Name" box.

Note that changing the instrument here will set it wherever this particular channel is used in any MIDIgrid cell.
You can also change the instruments used from the MIDI Program Map (see section 15).


Changing the whole chord

4.6 Changing the whole chord

You can perform transpose and velocity scaling operations on the whole chord or the notes in a particular channel.
The velocity is the emulation of how hard a note is 'hit' if it were played on a traditional instrument. For most instruments this affects the volume at which the note is sounded.
Choose the "Transpose/Velocity" item.

You can set the amount to transpose the notes by semi-tones. The menu gives you the choice of + or - 12 semi-tones which results in a maximum transposition of an octave above or below the current notes.
Setting the velocity to a number greater than 0 will increase the velocity or volume of the sound, setting it to less than 0 will decrease the velocity. There is a limit to how loud or soft a note can be so when this is reached, increasing or decreasing the values will have no more effect.

4.7 The Chord Editing Menu
There are some editing functions available which allow you to carry out cut, paste, copy and delete operations on the notes in each channel.
Choose "Chord Edit" from the Chord editing window menu bar.

Use the functions to manipulate the chord notes as appropriate.


Editing sequences

6. Editing sequences

The Sequence editing window initially provides information about the sequence, the ability to listen to (audition) the sequence and the opportunity to change the choice of loop settings.

The menu at the top of this window also provides options to load or save the sequence as a standard MIDI file. This provides the opportunity to import musical data from other music programs and to export music recorded in MIDIgrid to other music programs. (See section 13)

6.1 Looping sequences

  • When a sequence is played it can be set to play just once or looped for a set number of times or loop continuously.

  • Select the required option from the "Loop mode" section.

    •

    N.B. Looped sequences can be stopped by pressing the e key or by choosing "Stop everything" from the "Perform" menu.

    6.2 Editing the notes in a sequence

    Additional editing is provided using a "piano roll" type editor. To open this click on the "Advanced" button.

    6.3 Snap Value
    The "Snap" value effects the note lengths and the positioning of notes on the sequencer grid. For example, if you set the snap value to 1/8 this corresponds to an eight of a whole note or a crotchet length. With this snap value you will only be able to choose note lengths in multiples of crotchets and place them in crotchet positions on the grid.

    • Click on the menu button in the "Snap (beats)" box.
      Choose the snap value that you require.

    Choosing "None" will allow you to work at the finest resolution available.

    6.4 Moving notes
    Set the "Edit Mode" button at the top of the Advanced Sequence Editing window to "Move". Notes can be 'dragged' using the mouse pointer.

  • Move the mouse pointer to the note that you want to change.

  • Click and hold down the left mouse button over the note.

  • Move the mouse and note to a new place on the grid.

    •

    • Let go of the mouse button when the note is the position where you want it to be.

    You can drag the note in any direction. The final position of the note will depend on the "Snap" value (see 6.3).

    6.5 Changing the length of notes

    • Set the "Edit Mode" button to "Length".

    • Drag the note left or right to set the new length.

    The lengths that you are offered will depend on the "Snap" value (see 6.3).

    6.6 Deleting notes

    • Set the "Edit Mode" button to "Delete".

    • Click on the note that you want to delete using the left mouse button.

    6.7 Inserting notes
    Set the "Edit Mode" button to "Insert".

    The length and position of the note is determined by the "Snap" value (see 6.3). Click the pointer on the position where you want the note to be.


Changing the Appearance of a cel

7. Changing the Appearance of a cell

From the Cell Editing window choose "Appearance" from the "Edit" menu.

7.1 Changing Colour
The Cell background colour can be changed by selecting "Change". A colour selector window will be displayed.

You can choose the colour from the basic colours, from the Colour Square and also by building up a selection of custom colours. These can be used as a quick way of making sure that you get the same colour over a range of cells.

  • Choose the colour you require and click "OK".

7.2 Changing the text label
Each cell can contain a text label, which you can use to help identify the cell or remind you of the cell's contents.

Type the text you require in the "Text" box.
The colour of the text can be either white or black. Choose the best colour to suit the background colour that you have chosen.
The text colour that you choose is also used for the colour of the chord and note indicators in a box.


Setting the MIDI Trigger for a cell

8. Setting the MIDI Trigger for a cell

Each MIDIgrid cell can be linked to a MIDI note so that when this note is played on an external MIDI keyboard or other MIDI instrument linked to the computer, the contents of that cell will be played or "triggered".
To set the triggering of a cell:

  • From the "Edit" menu in the Cell editing window choose "Triggering".

To trigger a cell the "Use external triggering for this box" needs to be ticked.

8.1 Selecting a note to use as a trigger
To select a note to be used as a trigger:

  • Click on the note you want to use as a trigger in the image of the keyboard on the screen.

If you want to change the note to another one then simply click on the other note and the selected note will change.

8.2 Changing the MIDI channel

To change the MIDI channel on which the note you are using will be:

  • Click on the channel number in the "MIDI Channel" list.

The MIDI channel is likely to be channel 1 but you may need to check which channel your keyboard transmits MIDI on. Where your keyboard allows you to change the MIDI channel used to transmit notes, you can select any of the 16 channels but you must also change the setting in the triggering window. This facility allows you to use different MIDI devices to trigger different cells. This might be useful if more than one performer is involved in playing MIDIgrid at the same time, for example.

8.3 MIDI Settings for triggering

You may need to change some of the MIDI settings when using triggering. See 10.


General Editing of Cells

9. General Editing of Cells

All the operations below are available when in "Edit" mode.
These include operations for making global changes to the cells and for moving the cells around the grid.
When in "Edit" mode, clicking with the right mouse button on a cell also provides a menu of cell operations.
The cut and paste operations use a 'clipboard' which is a temporary store used by MIDIgrid to keep the data that has been "cut" or "copied" ready for you to later on "paste" it into another cell.

9.1 Cut
A cell can be cut to the clipboard as follows:

•Click on the cell with the left mouse button to select it.
•Hold down the Ctrl key and press X.

9.2 Copy
A cell can be copied to the clipboard as follows:

•Click on the cell with the left mouse button to select it.
•Hold down the Ctrl key and press C.

You can also copy one cell to another cell by holding down the CTRL key whilst dragging the cell with the left mouse button.

9.3 Paste
The contents of the clipboard can be pasted to a cell as follows:

•Click on the cell with the left mouse button to select it.
•Hold down the Ctrl key and press V.

9.4 Move
A cell can be moved from one position to another by dragging the cell using the left mouse button.

9.5 Delete
A selected cell can be deleted using the Delete key.

9.6 Selecting cells
You can perform operations such as "Transpose" on more than one cell at a time. To do this you need to select the group of cells that you want to change.

  • Hold down the Ctrl key.

  • Click the left mouse on each cell that you want to select.
    The word "SEL" is displayed in any selected cells.

Choose "Clear Selection" from the "Edit" menu to clear the selection.

9.7 Transpose
The cells that are selected can be altered globally using the "Multiple transpose" menu item in the "Edit" menu.

This allows you to apply a pitch and velocity scaling effect to the cells that are selected (see section 9.6).


Setting MIDI and other preferences

10.Setting MIDI and other preferences

Change into "Edit mode" and select "Preferences" from the "Edit" menu.

10.1 Default Grid Size
The width and height of the cell display ("Grid") can be set from the main program (see section 11). When you choose to make a new file in MIDIgrid the grid size is set to the values in the default grid size. You choose what this default value is:

• Click on the value you want to change with the left mouse button.
• Type in a new value from the keyboard.

10.2 Record Buffer Size
This is used to set the limit of notes used when using MIDIgrid to record a sequence (see section 5).
The number set in the box sets the maximum number of notes available in the Record buffer.

  • Click on the Record buffer number.

  • Type in a new value from the keyboard.

10.3 Default MIDI devices
The Input and Output devices used by MIDIgrid are described in section 12. The defaults can be set here.

10.4 Timing Resolution
When recording into a MIDIgrid cell from an external MIDI keyboard or MIDI instrument the timing used by MIDIgrid sets the accuracy with which these notes are stored.
This accuracy or "resolution" can be set.

  • Click on a new position in the timing bar.

The marker will move to the new position and the new timing resolution will be displayed.
Higher values (to the right of the timing bar) will give greater accuracy; lower values (to the left of the timing bar) will give lesser accuracy.

10.5 MIDI Thru
MIDI "Thru" is a term that refers to the idea that incoming MIDI data is passed "thru" and sent straight out again. The "Thru" connector on some MIDI keyboards does just this. MIDIgrid offers this function so that data coming into the program can be passed straight out again. This may be particularly useful if you have a MIDI keyboard connected to the MIDI IN of the computer and a MIDI Sound box making the sounds and connected to the MIDI OUT of the computer. In this case you can turn on the MIDI Thru by selecting the "Echo all notes" option.

If you have both the MIDI IN and OUT connected to the same MIDI keyboard then you will probably want MIDI Thru set to "Don't echo any notes".

If you have MIDI Thru turned on and you are using the MIDI triggers then you will want to select the "Don't echo mapped notes" option. This means that when a note triggers a cell on, the contents of the cell are played and not the note used to trigger the cell.

10.6 MIDI Event Filter
For notes that are echoed using the MIDI Thru, a filter can be applied to some of the events. When the filter is set it will stop or "filter out" those events from being played.


Set grid size and layout

11. Grid size and layout

Change to "Edit mode" and select "Set Grid Size" from the "Edit" menu.

The width and height can be set to any size from 1 to 20.

  • Click on the value to change.

  • Type in the new value from the keyboard.

You can also set the grid to the maximum size of 20 by 20 by selecting the "View full grid" option from the "Edit" menu.

The lines that make up the grid can also be turned on and off. In Edit mode, choose "Visible grid" from the "Edit" menu.

When this option is ticked the lines are shown, when it is not ticked the lines are not shown.


MIDI input and output

12.MIDI input and output

MIDI Output is the way in which MIDIgrid outputs its music to a MIDI synthesiser or keyboard. You may have a MIDI interface on your computer connected to an external musical keyboard or soundbox. It is also possible to direct the MIDI output to internal MIDI hardware or software synthesiser.

  • Choose the output device to suit your system by clicking on the output device listed in the "Output" sub menu in the "MIDI" menu.

MIDI Input can come from an external MIDI keyboard or MIDI instrument that has been connected to the MIDI interface on your computer. The MIDI input signal can be used to trigger cells in MIDIgrid (see section 8). MIDI input data can also be sent back out of the output device by selecting MIDI Thru (see section 10.5).

  • Choose the input device to suit your system by clicking on the input device listed in the "Input" sub menu in the "MIDI" menu.


MIDI files

13.MIDI files

MIDI data can be stored as a standard file format called a MIDI file that can be used to transfer music data between different music programs. MIDI files are identified on a PC with the ".MID" extension.
MIDIgrid can read, or "import", MIDI files into the program and use the contents of the file to produce the sequence for a MIDIgrid cell.
MIDIgrid can also save, or "export", the sequence data in a MIDIgrid cell as a MIDI file.

In MIDIgrid, MIDI files can only be imported into and exported from the sequences used in MIDIgrid.

  • From the cell editing window choose the "Sequence-File" menu.

13.1 Importing MIDI files
Choosing "Import MIDI file" from the "Sequence-File" sub menu opens up a standard Windows file dialog box.
Choose the file you want to import in the usual way.

13.2 Exporting MIDI files
Choosing "Export MIDI file" from the "Sequence-File" sub menu opens up a standard Windows file dialog box.
Enter the file name of the MIDI file that you want to save and press 8


General MIDI

14. General MIDI (GM)

MIDIgrid supports two ways of assigning instruments or "Patch names" to channels. One is using the Standard General MIDI set of instrument names. The other is to use numbers from 1 to 128 to refer to the different instruments. You can choose which system is used from the "Instrument" dialogue box from the "MIDI" menu. Select from "General MIDI" and "Universal (numeric)".

General MIDI is supported by many modern synths and has the advantage of being a standard way of controlling MIDI information. It can be used to select an instrument as explained above, but it also affects the way in which controllers such as stereo panning and pitch bend are applied. If the MIDIgrid file you are using does not seem to be making the sounds you expect it to, then the problem may be because the MIDI equipment you are using is not General MIDI compatible.

MIDIgrid supports the use of the 16 channels for one MIDI device. These can be used in different ways to suit your system. However, the files supplied with MIDIgrid assume that channel 10 is the percussion channel used for drum sounds.


MIDI Programs and Controllers

15. MIDI Programs and Controllers

The program numbers or instruments for each MIDI channel within MIDIgrid can be set from different places. MIDIgrid provides a central window to view and set the instruments set to each channel as well as the Volume, Stereo Panning, Reverb and Chorus settings for each channel.

  • Choose "Program Map" from the "MIDI" menu.

The program values will be represented as numbers if you have the instrument set to "Universal (numeric)" and as instrument names if you have the instrument set to "General MIDI" (see section 14).
These are the initial settings. In some cases sequences in the cells may change some of these settings during the playing of the cells.


Additional Resources

Depending on the edition you have purchased, there will be additional PDF and grid resources. After installation, these will be located in the installation directory. If you have not changed the directory path during the Setup process, this will be

C:\Program Files\Midigrid

PDF Resources
There are links to the PDF resources from the program's "Help-Contents" menu.

If you have Adobe Reader installed on your computer (the most likely scenario), a file with the extension ".pdf" will open when you click on it (or you will be asked to select the program you wish to open it). If Adobe Reader is not listed, the latest version can be downloaded from

http://www.adobe.com/products/acrobat/readstep.html
Helpful Tip:
If, having opened the notes supporting your grids, you click on the ‘Minimize’ button in the top right-hand corner of the Adobe Reader screen, you will be able to flip between the grid and the notes by clicking on "MIDIgrid" or "Adobe Reader" icons at the bottom of your screen.

Additional Grids
These will be located in a sub-folder of "Examples", at

C:\Program Files\Midigrid\Examples


Widening Access with MIDIgrid

Disabled and otherwise disadvantaged users, supported by imaginative teachers, therapists and community musicians have found many ways of using the remarkable musical "tool-kit" that goes by the name of "MIDIgrid". Here are just a few scenarios, with links to the support documentation that will help you try out these ideas for yourself:

James, the new music teacher, has found that the school can boast few of the instrumental resources and skills necessary to to explore the simple improvisation ideas he was hoping to introduce to his eager young pupils. He makes it possible for more children to 'have a go' by creating instruments in MIDIgrid like those in the "Toast" grid. (See Example folder in the installation directory). Having created several 'instruments' that play a diatonic scale, he finds it easy to quickly adapt them to play the pentatonic, or five-note, gapped scale of Unit 12, UK curriculum. He simply deletes the 4th and 7th note of the scale and saves the adapted grid with a new name

David,
an amateur musician who is quadriplegic, is looking for grids to play with his joystick. He uses the joystick in conjunction with a little utility called "StickyRightMouseButton" created for MIDIgrid and GridPlay by Joris, at mybreathmymusic.com. This is available as a free download (See www.midigrid.com for details). This utility allows the player to toggle between "Right Button: press to play" mode and "Right Button: hold" mode, in which the contents of cells are played as the cursor enters each cell.

Rachel
runs music sessions in retirement homes. She is a competent pianist but, in these sessions, she needs to engage the active participation of the residents. Playing the piano would prevent her moving around the group and making eye-contact. It is very simple for her to record songs and backing tracks into a grid. (See Reference Section 5) She creates sets of pieces that she is likely to use in quick succession and these are instantly accessible from a single grid. If she wishes, she can schedule playback of a cell and trigger it with an external switch (See Reference Section 8).

Claire
is keen to follow up with her class the simple "Kodaly" rhythmic and aural activities that the music coordinator has introduced into the school. "I'd like to do it", she says, "but I'm sometimes out of tune, myself." This gives the coordinator an idea and she sets up a grid in which the notes the children are working on are entered into cells and labelled with the sol-fa syllables (See Examples\DMSFRHRN.GRD in the installation directory). Claire can use this as a confidence-building reference. Teacher or pupils can also invent rhythms on the notes for others to echo or respond to with pitches or rhythms of their own. The coordinator can also use MIDIgrid to author grids with all kinds of resources to support Claire and the other class-teachers.

Terry
has profound physical and learning disabilities. His 'instrument' is a trackball with which he accesses the grids created for him by the music facilitator. He rolls the trackball triggering flute sounds as the facilitator improvises on an acoustic flute. A switch locks the Right Button in the 'on' position but the utility 'StickyRightMouseButton' could be used for this purpose. This is available as a free download (See www.midigrid.com for details). To read more about Terry and his friends, see http://www.livingmysong.org.uk/pmld.htm.

Julie's
class of young people with physical disabilities includes a couple of switch-users. These pupils are unable to play acoustic instruments or to control a mouse/trackball. One uses a press-and-release type of switch and is also able to press and release the keys on a music keyboard. Julie makes use of the "Set MIDI Trigger" function (Section 8)in MIDIgrid to assign accompanying chords for the song the class is to perform to keys on the school's MIDI keyboard. As any key can be set to trigger any cell, Julie can assign the chords of C, F and G (See "12561.GRD" in the "Examples" folder) to adjacent notes, ideal for this pupil's limited range of left-right movement. For a pupil with a bigger range of movement but poor accuracy, Julie could duplicate triggers and space them out on the keyboard, making the non-assigned keys silent.

Julie finds that the other pupil, who uses an eye-blink switch, can also be set up to trigger the contents of cells but, in this instance, a MIDI control box is required to connect the switches to the computer. (See www.midigrid.com for information on external MIDI devices, switches and alternatives to mouse control.


MIDIgrid Online

Visit http://www.midigrid.com for further information and support.

MIDIgrid resource packs and customisation can be purchased from the publisher at

http://www.fullpitcher.co.uk


MIDIgrid.

(c) The University of York.
(c) The Full Pitcher Music Resources.

You should carefully read the following terms and conditions
before using this software. Unless you have a different licence
agreement signed by The Full Pitcher Music Resources your use of this
software indicates your acceptance of this licence agreement and
warranty.

1. DEFINITIONS.
"Media" refers to the disc, CD-ROM or other media used to supply
the MIDIgrid software.
"Software" refers to the programs, applications, utilities and
system resources supplied on the media.
"Documentation" refers to the printed user documentation supplied
with the software.

2. GRANT OF LICENCE. This licence grants you the following rights:
- Installation and Use. You may install and use MIDIgrid on a
single computer.
- Reproduction. You may make one copy of the software, for back-up
purposes; provided that the copy shall be a true and complete
copy, including all copyright and trademark notices, and shall be
accompanied by a copy of this licence. This backup copy may be
installed on a portable device, for your personal use, provided that
the software is used on one machine only, at any given time.

3. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
- Limitations on Reverse Engineering, Decompilation, and Disassembly.
You may not reverse engineer, decompile, or disassemble MIDIgrid.
- Separation of Components. MIDIgrid is licensed as a single product.
Its component parts may not be separated for use on more than one computer.
- Software Transfer. You may permanently transfer all of your rights
under this licence, provided the recipient agrees to the terms of
this licence.
- Termination. Without prejudice to any other rights,The Full Pitcher
Music Resources may terminate this licence if you fail to comply with
the terms and conditions of this licence. In such event, you must
destroy all copies of MIDIgrid and all of its component parts.
- Other Uses.
Except as authorised above or expressly permitted by statute, you may not
copy, modify, decompile, reverse engineer, rent, lease, gift, loan,
distribute or transfer possession of the software or the related
documentation in whole or in part.

4. COPYRIGHT. All title and copyrights in and to MIDIgrid
(including but not limited to any images, photographs, animations,
video, audio, music, text, and "applets" incorporated into MIDIgrid),
the accompanying printed materials, and any copies of MIDIgrid are
owned by The University of York or The Full Pitcher Music Resources.
MIDIgrid is protected by copyright laws and international treaty
provisions. Therefore, you must treat MIDIgrid like any other copyrighted
material.

Limited Warranty and Disclaimer

The Full Pitcher Music Resources warrants that the media upon which
MIDIgrid is supplied are free from defects and under normal use
for a period of sixty (60) days from the date of purchase, as
evidenced by a copy of your receipt. The Full Pitcher Music Resources
will repair or replace defective media if returned within
sixty days of purchase.

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND
WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY
OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the
various hardware and software environments into which MIDIgrid may
be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be
thoroughly tested with non-critical data before relying on it.
The user must assume the entire risk of using the program. ANY
LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT
REPLACEMENT.


Editing Sequences

7. Editing Sequences, Part 2

7.8 Channels
MIDI uses 16 channels to provide 16 different instrument sounds and other channel specific effects (See section 15).

The "Active Channel" indicator shows which MIDI channel is currently being edited.
On the "Piano Roll" display, the currently edited part is shown in shades of red, any other parts in the sequence are shown in shades of blue.

7.9 Velocity
The velocity of a particular note is the way in which MIDI emulates the strength with which a note is played on a traditional instrument. This usually correlates to the volume of a note. This is shown in the MIDIgrid sequence editor by the intensity of the colour of the note. The darker the colour of the note the louder it is.
To change the velocity of an existing note:

  • Set "Edit Mode" to "Move".
    Click on the note that you want to change.

The current velocity of the note will be shown in the "Change" box.

  • Select the volume by typing in the number in the volume box.

The valid values are from 1 (quiet) to 127 (loud).

  • Click on the "Change" button to activate the new velocity.

You will see the shade of colour of the note has changed.
Any new notes that you add will now use the new velocity setting.

7.10 Trim Range
The trim range is used to set the overall length of the sequence. This is particularly useful if you want the sequence to loop correctly or if you only want part of a MIDI file that you have loaded.
The L and R markers are displayed in the line just above the note display alongside the bar marker numbers. The L marker indicates the "Left" or start of the sequence and the R marker indicates the "Right" or end of the sequence.
To change the length of the sequence:

  • Click the left mouse button in the line above the note display, at the left-hand position where you want your sequence to start.

The L marker will move to this point.

  • Now click the right mouse button in the line above the note display, at the right-hand position where you want your sequence to end.

The R marker will move to the end point that you have chosen.

You can adjust the L and R markers by clicking at the exact point that you want to change them to.

  • When you are happy with the new L and R points click on the "Trim Range" button.

The sequence will be "trimmed" to the new length that you have set.

7.11 Finishing Editing
To finish editing the sequence and return to changing the cell details, click on the icon in the top right hand corner of the Advanced Sequence Editing Window.
You can choose at this point whether to keep the changes you have made ("OK" or "Apply") or abandon the changes ("Cancel").


Playing Cells from a MIDI Keyboa

Playing Cells from a MIDI Keyboard

As well as using the mouse buttons to play MIDIgrid cells, the notes on a MIDI instrument can be used to trigger the cells.To do this you will need to have a MIDI instrument, such as a MIDI keyboard, connected to the "IN" port of the MIDI interface in the computer.

Try It: Triggering Cells in the Start File
The chords in the second line of the "Start" grid file have been allocated to middle C, D, E, F and G on the keyboard.

Play middle C on the MIDI keyboard.

You should hear the first chord in the line being played.

The following notes will trigger the other chords in the second row of the grid.

If the MIDI note is not triggering the MIDIgrid cell then you may need to check the MIDI connections. Also the cells are expecting the note that is triggering the cell to be transmitted on MIDI channel 1. You may need to check that your keyboard is transmitting on that channel.

The idea behind MIDI triggering is to allow you to use notes on a MIDI keyboard to play the chords and sequences in MIDIgrid that would normally be played by the mouse. You can still use the other notes on the keyboard to play in the normal way. This provides a powerful extension of the 'auto-chord' idea used by some keyboards.

To make sure that the MIDI system is working OK you may need to check the MIDI settings described in section 10.


Recording sequences

5. Recording sequences

The sequences that are stored in a cell can be recorded from live performance. Recordings can be made of the performance of other cells, this allows you to build up recordings layer by layer using new cells to store each additional recording.

5.1 Setting up a recording
When you are recording in MIDIgrid you will need to make sure that you have somewhere to store the recording. This will usually be an empty cell. If there are no empty cells then you may want to change the grid size (See section 12).
You then need to open the Record window:
Choose "Record" from the "Perform" menu.

MIDIgrid will display a record control window.

You may need to move this window to somewhere more suitable if it obstructs some of the cells that you want to use.

  • Hold the mouse button down on the "Record" window title bar.

  • With the mouse held down drag the "Record" window somewhere suitable.

  • Release the mouse button to stop dragging.

5.2 Making a Recording
To start the recording process:

  • Click on "Start" in the Record window.

  • Click on the chord, note and sequence cells in the usual way to play MIDIgrid.

5.3 Storing the recording
When you have finished recording:

  • Click on "Stop" in the record window.

The "Assign" icon in the "Record" window will now be available. This lets you assign the recording to one of the MIDIgrid cells.

  • Click on "Assign" in the record window:

  • Click on a cell to store the sequence in:

5.4 Recording using MIDI
As well as being able to record the performance of MIDIgrid cells, you can also record music played on a MIDI keyboard.

  • Click on "Start" in the Record window.

  • Play music on your MIDI keyboard.

Stop and assign the recording as described above.

5.5 Setting the record buffer size
There is a limit set on the maximum number of notes available in the record buffer. See section 10.2 for details on how to set the buffer size.

5.6 Deleting sequences
A sequence can be deleted by changing the content of a cell to "Chord" or "Empty" or by assigning a new recording to the same cell.